## snapshotGrab

### Syntax:

    snapshotGrab ();

### Purpose:

Takes a snapshot of whatever is currently on the screen (or rather, the area of background image that's currently visible, plus any characters on it - in other words, what the screen will look like the next time it is drawn provided nothing changes in the meantime).

This snapshot can then be used to crossfade one image into another, or even one room into another. To achieve this use the CROSSFADE transition mode and gradually change the transition level from 0 to 256 using the transitionMode and transitionLevel functions.

When you no longer need your snapshot image, use snapshotClear to remove it from memory.

### Return value:

No return value.

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012